"use strict";

exports.__esModule = true;
exports.default = useImage;

var React = _interopRequireWildcard(require("react"));

var _events = require("./events");

exports.useImageEvents = _events.useImageEvents;

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var emptyObject = {};

function useImage(targetRef, config) {
  var _ref = config || emptyObject,
      disabled = _ref.disabled,
      _onLoad = _ref.onLoad,
      _onError = _ref.onError;

  var _React$useState = React.useState({}),
      imageData = _React$useState[0],
      setImageData = _React$useState[1];

  (0, _events.useImageEvents)(targetRef, {
    disabled: disabled,
    onLoad: function onLoad(e) {
      if (_onLoad != null) {
        _onLoad(e);
      }

      setImageData(e);
    },
    onError: function onError() {
      if (_onError != null) {
        _onError();
      }

      setImageData({});
    }
  });
  return imageData;
}